> For the complete documentation index, see [llms.txt](https://www.center.daxium-air.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.center.daxium-air.com/api-reference/daxium-air-rest-api.md).

# Daxium Air REST API

Official API documentation for **Daxium Air**, version **v1.3**.

All calls must be encrypted using **TLS 1.2** or later, and every request must include the version header:

```
X-Accept-Version: v1.3
```

#### Authentication

The API uses **OAuth 2.0**. Every request (except token requests) must include a Bearer token:

```
Authorization: Bearer <access_token>
```

| Token           | Validity |
| --------------- | -------- |
| `access_token`  | 1 hour   |
| `refresh_token` | 42 days  |

#### Field filtering

Any endpoint that returns objects supports limiting the returned fields:

```
GET /{app_short}/any_route?fields=id,created_at
```

#### Error format

All errors return a standardised JSON body:

```json
{
  "code": "DAERR-API1000",
  "message": "Invalid payload format",
  "url": "https://doc-dev.daxium-air.com/errors.en.html#DAERR-API1000",
  "api_version": "v1.3",
  "infos": [],
  "server_time": "1760616000"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/daxium-air-rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
